Name:		flacon
Version:	12.0.0
Release:	%mkrel 2
Summary:	Audio file splitter and converter
License:	LGPLv2+
Group:		Sound/Editors and Converters
URL:		https://flacon.github.io/
Source0:	https://github.com/flacon/flacon/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	pkgconfig(uchardet)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(yaml-cpp)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

Recommends:	alacenc
Recommends:	flac
Recommends:	lame
Recommends:	mac
Recommends:	mp3gain
Recommends:	opus-tools
Recommends:	ttaenc
Recommends:	vorbis-tools
Recommends:	vorbisgain
Recommends:	wavpack
#the following are optional de-/encoders, kept only as reminder, DO NOT REMOVE!
#ttaenc		TrueAudio
#mac		MonkeyAudio / APE


%description
Flacon extracts individual tracks from one big audio file containing the entire
album of music and saves them as separate audio files. To do this, it uses
information from the appropriate CUE file. Besides, Flacon makes it possible to
conveniently revise or specify tags both for all tracks at once or for each tag
separately.

Features:

    *Supported input formats: WAV, FLAC, APE, WavPack, True Audio (TTA).
    *Supported out formats: FLAC, WAV, WavPack, AAC, OGG or MP3.
    *Replay Gain analysis (album-gain and track-gain modes).
    *Multi-threaded conversion process.
    *Automatic character set detection for CUE files.
    *Generation of the per-track CUE file in the output dir.

%prep
%setup -q

%build
%cmake_qt6 \
	-DUSE_QT6=ON \
	-DBUILD_TESTS=Yes
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_metainfodir}/com.github.Flacon.metainfo.xml
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 12.0.0-2.mga10
+ Revision: 2251014
- Mageia 10 Mass Rebuild

* Tue Apr 08 2025 daviddavid <daviddavid> 12.0.0-1.mga10
+ Revision: 2174223
- new version: 12.0.0

* Fri Oct 04 2024 daviddavid <daviddavid> 11.4.0-2.mga10
+ Revision: 2103108
- rebuild for new taglib 2.0.2

* Thu May 09 2024 daviddavid <daviddavid> 11.4.0-1.mga10
+ Revision: 2063154
- new version: 11.4.0
- switch to Qt6

* Wed Oct 11 2023 daviddavid <daviddavid> 11.3.0-1.mga10
+ Revision: 1994371
- new version: 11.3.0

* Mon Aug 28 2023 daviddavid <daviddavid> 11.2.0-1.mga10
+ Revision: 1980325
- new version: 11.2.0

* Thu Jun 08 2023 daviddavid <daviddavid> 11.1.0-2.mga9
+ Revision: 1961303
- add alacenc as a recommended package

* Fri Jun 02 2023 daviddavid <daviddavid> 11.1.0-1.mga9
+ Revision: 1960570
- new version: 11.1.0

* Tue Jan 24 2023 daviddavid <daviddavid> 10.0.0-1.mga9
+ Revision: 1935528
- new version: 10.0.0

* Tue Nov 22 2022 daviddavid <daviddavid> 9.5.1-1.mga9
+ Revision: 1910118
- new version: 9.5.1

* Fri Nov 18 2022 daviddavid <daviddavid> 9.5.0-1.mga9
+ Revision: 1908667
- new version: 9.5.0
+ neoclust <neoclust>
- New version 9.4.0

* Sun Sep 11 2022 neoclust <neoclust> 9.2.0-1.mga9
+ Revision: 1886960
- New version 	9.2.0

* Thu Jul 14 2022 papoteur <papoteur> 9.1.0-1.mga9
+ Revision: 1868791
- new 9.1.0

* Tue Jun 07 2022 papoteur <papoteur> 9.0.0-1.mga9
+ Revision: 1863415
- new 9.0.0

* Sun Apr 03 2022 umeabot <umeabot> 7.0.1-2.mga9
+ Revision: 1842408
- Mageia 9 Mass Rebuild

* Mon Apr 26 2021 daviddavid <daviddavid> 7.0.1-1.mga9
+ Revision: 1719934
- new version: 7.0.1

* Wed Dec 16 2020 umeabot <umeabot> 6.1.0-2.mga8
+ Revision: 1658445
- Rebuild for new Qt5

* Tue Jun 30 2020 daviddavid <daviddavid> 6.1.0-1.mga8
+ Revision: 1600715
- new version: 6.1.0

* Thu Jun 18 2020 daviddavid <daviddavid> 6.0.0-1.mga8
+ Revision: 1595822
- new version: 6.0.0

* Sun Feb 16 2020 umeabot <umeabot> 5.5.1-2.mga8
+ Revision: 1534472
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Oct 03 2019 daviddavid <daviddavid> 5.5.1-1.mga8
+ Revision: 1449054
- new version: 5.5.1

* Mon Apr 29 2019 daviddavid <daviddavid> 5.4.0-1.mga7
+ Revision: 1395826
- new version: 5.4.0

* Thu Apr 18 2019 daviddavid <daviddavid> 5.3.0-1.mga7
+ Revision: 1393282
- new version: 5.3.0

* Wed Apr 03 2019 daviddavid <daviddavid> 5.2.0-1.mga7
+ Revision: 1385492
- new version: 5.2.0

* Sat Mar 30 2019 umeabot <umeabot> 5.1.0-2.mga7
+ Revision: 1381716
- Qt5 Rebuild

* Mon Jan 28 2019 daviddavid <daviddavid> 5.1.0-1.mga7
+ Revision: 1361750
- new version: 5.1.0

* Wed Nov 07 2018 daviddavid <daviddavid> 5.0.0-1.mga7
+ Revision: 1328724
- new version: 5.0.0

* Sun Sep 23 2018 umeabot <umeabot> 4.1.0-2.mga7
+ Revision: 1297712
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 daviddavid <daviddavid> 4.1.0-1.mga7
+ Revision: 1221163
- new version: 4.1.0

* Tue Dec 26 2017 daviddavid <daviddavid> 4.0.0-1.mga7
+ Revision: 1185189
- new version: 4.0.0

* Fri Aug 11 2017 daviddavid <daviddavid> 3.1.1-1.mga7
+ Revision: 1139636
- new version: 3.1.1

* Wed Jul 05 2017 daviddavid <daviddavid> 3.0.0-1.mga6
+ Revision: 1109057
- new version: 3.0.0
- remove shntool as a dependency as it is outdated

* Wed Dec 28 2016 daviddavid <daviddavid> 2.1.1-1.mga6
+ Revision: 1078520
- new version: 2.1.1

* Sat Oct 08 2016 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 1059507
- new version: 2.1.0

* Wed Feb 03 2016 daviddavid <daviddavid> 2.0.1-1.mga6
+ Revision: 933325
- new version: 2.0.1
- use %%cmake_qt5 macro

* Mon Sep 07 2015 daviddavid <daviddavid> 1.2.0-2.mga6
+ Revision: 873813
- add support for Opus output files
- introduce license macro
- enable build tests

* Sun Sep 06 2015 daviddavid <daviddavid> 1.2.0-1.mga6
+ Revision: 873277
- new version: 1.2.0
- build with Qt5 (now available)
- update Source URL
- update BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-3.mga5
+ Revision: 751156
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-2.mga5
+ Revision: 679221
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Aug 28 2014 daviddavid <daviddavid> 1.0.1-1.mga5
+ Revision: 669063
- new version: 1.0.1

* Fri Jul 18 2014 daviddavid <daviddavid> 1.0.0-1.mga5
+ Revision: 653675
- new version: 1.0.0

* Fri Mar 14 2014 david-david <david-david> 0.9.4-1.mga5
+ Revision: 603861
- add mac on suggests (now it is avaible on mga)
- add ttaenc on suggests (now it is avaible on mga)
- change License to LGPLv2+
- add doc files and man files
- flacon is now switched from Python to C++ program
- new version: 0.9.4

* Wed Mar 05 2014 david-david <david-david> 0.8.0-3.mga5
+ Revision: 600024
- add missing Requires on python-chardet (mga#12926)

* Sat Oct 19 2013 umeabot <umeabot> 0.8.0-2.mga4
+ Revision: 525532
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- should be noarch package

* Fri May 31 2013 fwang <fwang> 0.8.0-1.mga4
+ Revision: 433559
- new version 0.8.0

* Fri Jan 11 2013 umeabot <umeabot> 0.6.0-3.mga3
+ Revision: 350470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 barjac <barjac> 0.6.0-2.mga3
+ Revision: 323155
- changed group in line with new policy

* Tue Jan 17 2012 doktor5000 <doktor5000> 0.6.0-1.mga2
+ Revision: 197432
- new version 0.6.0
- added missing Requires on python-qt4-gui,
  python-qt4-network and python-sip
- use xdg-user-dir for default output directory
- fix license to GPLv3+
- imported package flacon

